com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectWaterMark

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.TrackEffectWaterMark

-     public class TrackEffectWaterMark
      extends EffectBase

  Added in v3.27.0 The water mark bean of track

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackEffectWaterMark.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EffectRect` | `mEffectRect`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackEffectWaterMark()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getHeightRatio()` Gets the height of this sticker relative to the screen resolution.
    `float` | `getWidthRatio()` Gets the width of this sticker relative to the screen resolution.
    `float` | `getXRadio()` Gets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `float` | `getYRadio()` Gets the y coordinate of the centroid of this sticker relative to the screen resolution.
    `void` | `setHeightRatio(float heightRatio)` Sets the height of this sticker relative to the screen resolution.
    `void` | `setWidthRatio(float widthRatio)` Sets the width of this sticker relative to the screen resolution.
    `void` | `setXRadio(float xRatio)` Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `void` | `setYRatio(float yRatio)` Sets the y coordinate of the centroid of this sticker relative to the screen resolution.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mEffectRect

          protected EffectRect mEffectRect

  - ### Constructor Detail

    - #### TrackEffectWaterMark

          public TrackEffectWaterMark()

  - ### Method Detail

    - #### getXRadio

          public float getXRadio()

      Gets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Returns:
        The x coordinate. Valid values: [0, 1]

    - #### setXRadio

          public void setXRadio(float xRatio)

      Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Parameters:
        `xRatio` - The x coordinate. Valid values: [0, 1]

    - #### getYRadio

          public float getYRadio()

      Gets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Returns:
        The y coordinate. Valid values: [0, 1]

    - #### setYRatio

          public void setYRatio(float yRatio)

      Sets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Parameters:
        `yRatio` - The y coordinate. Valid values: [0, 1]

    - #### getWidthRatio

          public float getWidthRatio()

      Gets the width of this sticker relative to the screen resolution.
      Returns:
        The width of this sticker. Valid values: [0, 1]

    - #### setWidthRatio

          public void setWidthRatio(float widthRatio)

      Sets the width of this sticker relative to the screen resolution.
      Parameters:
        `widthRatio` - The width. Valid values: [0, 1]

    - #### getHeightRatio

          public float getHeightRatio()

      Gets the height of this sticker relative to the screen resolution.
      Returns:
        The height of this sticker. Valid values: [0, 1]

    - #### setHeightRatio

          public void setHeightRatio(float heightRatio)

      Sets the height of this sticker relative to the screen resolution.
      Parameters:
        `heightRatio` - The height. Valid values: [0, 1]